#include "gctl/core.h"
#include "gctl/io.h"
#include "gctl/potential.h"
#include "iostream"

int main(int argc, char const *argv[]) try
{
	gctl::gm_regular_grid mag_rg;
	mag_rg.load_netcdf_grid("data/sample_DeltaT", gctl::NodeData, "x", "y");
	mag_rg.rtp("z", "rtp", 50, 3);
	mag_rg.save_netcdf_grid("data/sample_RTP", gctl::NodeData);
	return 0;
}
catch (std::exception &e)
{
	GCTL_ShowWhatError(e.what(), GCTL_ERROR_ERROR, 0, 0, 0);
}